Summary: Postfix Admin is a Web Based Management tool created for Postfix
Name: postfixadmin
Version: 2.3.7
Release: 1%{?dist}.lux.2
License: GPL
URL: http://high5.net/page9.html
Group: Applications/Internet
Source0: http://surfnet.dl.sourceforge.net/sourceforge/postfixadmin/%{name}-%{version}.tar.gz
Source1: %{name}.conf
#Patch1:  .patch
Patch100: postfixadmin-2.2.1.1.show_password.diff
Patch101: postfixadmin-2.3.3.password_encryption_scheme.1.diff
Patch102: postfixadmin-2.3.5.hordelink.diff
Patch103: postfixadmin-2.3.7.footer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
#BuildRequires: gettext
Requires: httpd, postfix, mysql-server
Requires: /usr/sbin/sendmail
Requires(pre): shadow-utils
Prereq: httpd

# Requirements taken from the original srpm
# vacation.pl
Requires:       perl(DBI)
Requires:       perl(Email::Valid)
Requires:       perl(Getopt::Std)
Requires:       perl(Log::Log4perl)
Requires:       perl(MIME::Base64)
Requires:       perl(MIME::EncWords)
Requires:       perl(Mail::Sender)
Requires:       perl(strict)
# cleanupdirs.pl
Requires:       perl(File::Path)
Requires:       perl(Getopt::Long)
# mkeveryone.pl
Requires:       perl(Fcntl)
Requires:       perl(IO)
Requires:       perl(IO::File)
Requires:       perl(POSIX)
Requires:       perl(Time::Local)
# fetchmail.pl
Requires:       perl(File::Temp)
Requires:       perl(LockFile::Simple)
Requires:       perl(Sys::Syslog)

%define is_rhel5 %(test -f /etc/redhat-release && egrep -q 'release 5' /etc/redhat-release && echo 1 || echo 0)
%if %{is_rhel5}0
Requires: php53
%else
Requires: php
%endif

%define _use_internal_dependency_generator 0
%define __find_requires sh -c "sed -e '\\#/ADDITIONS/cyrus#d' | /usr/lib/rpm/redhat/find-requires"
%define __find_provides sh -c "/usr/lib/rpm/redhat/find-provides"

%description
It is a PHP based application that handles Postfix Style Virtual Domains and
Users that are stored in MySQL.
Postfix Admin supports:
- Virtual Mailboxes / Virtual Aliases / Forwarders.
- Domain to Domain forwarding / Catch-All.
- Vacation (auto-response) for Virtual Mailboxes.
- Quota / Alias & Mailbox limits per domain.
- Backup MX.
- Packaged with over 25 languages.

%prep
%setup -q -n %{name}-%{version}
#%setup -q -n %{name}
#%patch1 -p1
%patch100 -p1 -z .luxpatchshowpass
%patch101 -p1 -z .luxpatchpassecryptionscheme
%patch102 -p1 -z .luxpatchhrodelink
%patch103 -p1 -z .luxpatchfooter
find . -name '*.luxpatch*' -delete

%build
#find . -type d -exec rm -rf {}/.svn \;

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p -m0755 $RPM_BUILD_ROOT%{_datadir}/%{name}

# install the config files
install -m 0640 config.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.inc.php
ln -s ../../../..%{_sysconfdir}/%{name}/config.inc.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/config.inc.php
rm config.inc.php

# install index.php
install -m 0644 *.php *.txt $RPM_BUILD_ROOT%{_datadir}/%{name}/
# we already check setup (at least i hope so:-)
#mv $RPM_BUILD_ROOT%{_datadir}/%{name}/setup.php $RPM_BUILD_ROOT%{_datadir}/%{name}/setup.php.ori

# copy over the rest
for d in admin css images languages templates users; do
    cp -rp $d $RPM_BUILD_ROOT%{_datadir}/%{name}/
done

# install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/%{name}.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

mkdir -p -m0755 %{buildroot}%{_localstatedir}/spool/vacation
cp VIRTUAL_VACATION/vacation.pl %{buildroot}%{_localstatedir}/spool/vacation/

%pre
getent group  vacation >/dev/null || groupadd vacation || :
getent passwd vacation >/dev/null || useradd -c "Virtual Vacation" -d %{_localstatedir}/spool/vacation -s /sbin/nologin -M -r -g vacation vacation || :
# fix group for vacation user (if created by older versions (< 2012-02-13) of this package, it was created with group users)
usermod -g vacation vacation || :

#if [ -z "`grep vacation /etc/postfix/master.cf 2>/dev/null`" ]; then
#cat <<'EOF' >>/etc/postfix/master.cf
## Postfix Admin Vacation
#vacation	unix	-	n	n	-	-	pipe
#	flags=Rq user=vacation argv=/var/spool/vacation/vacation.pl -f ${sender} -- ${recipient}
#EOF
#fi

%preun
if [ $1 = 0 ]; then
    /usr/sbin/userdel vacation 2>/dev/null || :
    /usr/sbin/groupdel vacation 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%doc DOCUMENTS *.TXT ADDITIONS VIRTUAL_VACATION
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(1770,root,vacation) %dir %{_localstatedir}/spool/vacation
%attr(750,root,vacation) %{_localstatedir}/spool/vacation/vacation.pl

%changelog
* Fri Dec 15 2006 Levente Farkas <lfarkas@lfarkas.org> 2.1.0-1
- initial build
